Home of the Squeezebox™ & Transporter® network music players.
Page 9 of 9 FirstFirst ... 789
Results 81 to 90 of 90
  1. #81
    Senior Member
    Join Date
    May 2017
    Location
    Netherlands
    Posts
    268
    Version 1.09a has the i686 perl 5.24.4 build on Glibc version 2.19.
    It seems that some older Qnap systsems have a ld-linux.so.2 older version.
    So then you get the error, that it wont start.

    At the moment looking for a way around this.
    The perl i686 5.24 was build by QNap, and don know itch version off Glibc he used.
    But what iḿ reading Glibc lower the 2.15 has vulnerabilities in them, and advise not to use because off this.

    At the moment looking for away, to get it to work on the old QNap systems again, but takes a lot off reading and investigation.
    So please be patience, hopefully can find a solution for it.

    Quote Originally Posted by swssws View Post
    Error log shows QlogitecMediaserver not able to run bc xxx cannot run perl

    Trying to run perl from command line gives: /lib32/libc.so.6: version `GLIBC_2.11' not found (required by perl)
    ldd perl
    ./perl: /lib/libc.so.6: version `GLIBC_2.11' not found (required by ./perl)
    linux-gate.so.1 => (0xb7712000)
    libpthread.so.0 => /lib/libpthread.so.0 (0xb76f2000)
    libdl.so.2 => /lib/libdl.so.2 (0xb76ee000)
    libm.so.6 => /lib/libm.so.6 (0xb76c8000)
    libcrypt.so.1 => /lib/libcrypt.so.1 (0xb769a000)
    libc.so.6 => /lib/libc.so.6 (0xb7567000)
    /lib/ld-linux.so.2 (0xb7713000)



    QLMS 1.8 works!
    And inspection of perl shows
    ldd perl
    linux-gate.so.1 => (0xb773a000)
    libpthread.so.0 => /lib/libpthread.so.0 (0xb771a000)
    libnsl.so.1 => /lib/libnsl.so.1 (0xb7703000)
    libdl.so.2 => /lib/libdl.so.2 (0xb76ff000)
    libm.so.6 => /lib/libm.so.6 (0xb76d9000)
    libcrypt.so.1 => /lib/libcrypt.so.1 (0xb76ab000)
    libutil.so.1 => /lib/libutil.so.1 (0xb76a7000)
    libc.so.6 => /lib/libc.so.6 (0xb7573000)
    /lib/ld-linux.so.2 (0xb773b000)

    maintainer of QLogitechMediaServer, QOptware-NG and QAutoSub.

    Qnap TS-453a, with LogitechMediaSever 7.9.1 ( with spotty and youtube )
    Several raspberry with hifiberry amp+ and picoreplayer.
    Love logitechmediaserver for it flexibel way, to play music from different sources.

  2. #82
    Senior Member
    Join Date
    May 2017
    Location
    Netherlands
    Posts
    268
    New release of QLogitechMediaServer V1.09.a for Qnap QTS 4.1 or higher with x86/i*86/x86_64 ( 20-05-2018 )
    MDS5 check [ d7321e2b4917af803e75a6231bbe26c9 LogitechMediaServer_1.09.b.qpkg ]

    QLogitechMediaServer_V1.09.b for Qnap x86/i386/i686/x86_64 with QTS 4.2 or higher !

    ================ QLogitechMediaServer version 1.09.b =============== 20-05-2018
    - In version 1.09.b some got a Glibc error/wrong version error.
    The problem is some older nas-sytems, have a very old Glibc library.
    + recompiled Perl 5.24.4, to work with Glibc from 2.6.1 and higher.
    + This should solve the Glibc error on older Qnap nas-systems.
    + Added a extra option on startup, -d to debug startup.
    * Next step will be to look, if we can also add support for arm-hf CPUs

    QLogitechMediaServer_V1.09.b for Qnap x86/i386/i686/x86_64 with QTS 4.2 or higher !

    So those who hat to go back to version 1.08, this version will work, and you can install it.
    Last edited by digimaster; 2018-05-21 at 04:57.

    maintainer of QLogitechMediaServer, QOptware-NG and QAutoSub.

    Qnap TS-453a, with LogitechMediaSever 7.9.1 ( with spotty and youtube )
    Several raspberry with hifiberry amp+ and picoreplayer.
    Love logitechmediaserver for it flexibel way, to play music from different sources.

  3. #83
    Senior Member
    Join Date
    Apr 2005
    Location
    Milwaukee, WI USA
    Posts
    576
    Quote Originally Posted by digimaster View Post
    New release of QLogitechMediaServer V1.09.a for Qnap QTS 4.1 or higher with x86/i*86/x86_64 ( 20-05-2018 )
    MDS5 check [ d7321e2b4917af803e75a6231bbe26c9 LogitechMediaServer_1.09.b.qpkg ]

    QLogitechMediaServer_V1.09.b for Qnap x86/i386/i686/x86_64 with QTS 4.2 or higher !

    ================ QLogitechMediaServer version 1.09.b =============== 20-05-2018
    - In version 1.09.b some got a Glibc error/wrong version error.
    The problem is some older nas-sytems, have a very old Glibc library.
    + recompiled Perl 5.24.4, to work with Glibc from 2.6.1 and higher.
    + This should solve the Glibc error on older Qnap nas-systems.
    + Added a extra option on startup, -d to debug startup.
    * Next step will be to look, if we can also add support for arm-hf CPUs

    QLogitechMediaServer_V1.09.b for Qnap x86/i386/i686/x86_64 with QTS 4.2 or higher !

    So those who hat to go back to version 1.08, this version will work, and you can install it.
    So no reason to upgrade from v1.09a if running OK on modern QNAP?

  4. #84
    Senior Member
    Join Date
    May 2017
    Location
    Netherlands
    Posts
    268
    There is no need to upgrade, if you don't use anything like airpplay.
    The new release is only a upgrade for perl from 5.24 to 5.24.4 and support for shairtunes2.

    Quote Originally Posted by earthbased View Post
    So no reason to upgrade from v1.09a if running OK on modern QNAP?

    maintainer of QLogitechMediaServer, QOptware-NG and QAutoSub.

    Qnap TS-453a, with LogitechMediaSever 7.9.1 ( with spotty and youtube )
    Several raspberry with hifiberry amp+ and picoreplayer.
    Love logitechmediaserver for it flexibel way, to play music from different sources.

  5. #85
    Junior Member
    Join Date
    Jul 2017
    Posts
    11
    I have LMS running on several Pi's ... went to those after Qnap ditched LMS, and they work great

    But been keeping my eye on this Install, and last night decided to have a go

    Qnap TS-569, need to do a restart before doing the latest Qnap Update, did that OK

    Added the Qnapclub Store repos, that went OK, and the LMS Icon for the new app was duly clicked

    The install failed ... I get

    Name:  2018-05-26_120743.jpg
Views: 93
Size:  21.5 KB

  6. #86
    Senior Member
    Join Date
    May 2017
    Location
    Netherlands
    Posts
    268
    Quote Originally Posted by PHAZBLADE View Post
    I have LMS running on several Pi's ... went to those after Qnap ditched LMS, and they work great

    But been keeping my eye on this Install, and last night decided to have a go

    Qnap TS-569, need to do a restart before doing the latest Qnap Update, did that OK

    Added the Qnapclub Store repos, that went OK, and the LMS Icon for the new app was duly clicked

    The install failed ... I get

    Name:  2018-05-26_120743.jpg
Views: 93
Size:  21.5 KB
    I would suggest to install version v1. 08. It seems that there are a few older Qnap systems, that have trouble with perl 5.24.4 and lms. Investigation on this, to hopefully solve it in a new release.

    Send from my mobile Phone

    maintainer of QLogitechMediaServer, QOptware-NG and QAutoSub.

    Qnap TS-453a, with LogitechMediaSever 7.9.1 ( with spotty and youtube )
    Several raspberry with hifiberry amp+ and picoreplayer.
    Love logitechmediaserver for it flexibel way, to play music from different sources.

  7. #87
    Senior Member
    Join Date
    May 2017
    Location
    Netherlands
    Posts
    268
    Quote Originally Posted by PHAZBLADE View Post
    I have LMS running on several Pi's ... went to those after Qnap ditched LMS, and they work great

    But been keeping my eye on this Install, and last night decided to have a go

    Qnap TS-569, need to do a restart before doing the latest Qnap Update, did that OK

    Added the Qnapclub Store repos, that went OK, and the LMS Icon for the new app was duly clicked

    The install failed ... I get

    Name:  2018-05-26_120743.jpg
Views: 93
Size:  21.5 KB
    If you read the error, it tells you the problem. You need to Uninstall any perl, SSOTS or older lms before installing qlogitechmediaserver.

    Send from my mobile Phone

    maintainer of QLogitechMediaServer, QOptware-NG and QAutoSub.

    Qnap TS-453a, with LogitechMediaSever 7.9.1 ( with spotty and youtube )
    Several raspberry with hifiberry amp+ and picoreplayer.
    Love logitechmediaserver for it flexibel way, to play music from different sources.

  8. #88
    Junior Member
    Join Date
    Jul 2017
    Posts
    11
    Quote Originally Posted by digimaster View Post
    If you read the error, it tells you the problem. You need to Uninstall any perl, SSOTS or older lms before installing qlogitechmediaserver.

    Send from my mobile Phone
    Hi, not sure how to do any of that, but ......

    Tried the V1.08, which came up with only one error

    Name:  2018-05-27_172401.jpg
Views: 80
Size:  17.7 KB

    So went to the App page and removed Perl 24.???

    Did the Install again and it took

    I have scanned my Music Folder and it all looks ready to play .... which it wont .... not sure it is your area though

    My Qnap TS-569 has 2 x Ethernet Interfaces, both are in use 192.168.1.XXX and 192.168.3.XXX

    It looks like the Web Interface is on 192.168.1.214, here

    Name:  2018-05-27_181300.jpg
Views: 82
Size:  15.4 KB

    But the LMS is showing it is on 192.168.3.214, here

    Name:  2018-05-27_181332.jpg
Views: 79
Size:  49.8 KB

    Good eh !! - all my players are on Network 192.168.1.XXX as is this PC I am using, so the Server cannot see any Players

    How do I set the LMS IP to 192.168.1.214 ?

  9. #89
    Senior Member
    Join Date
    May 2017
    Location
    Netherlands
    Posts
    268
    you're NAS system should be in the same network range, to fix this be sure that I on a adres like 192.168.1.XXX. Then the player will be found.
    Quote Originally Posted by PHAZBLADE View Post
    Hi, not sure how to do any of that, but ......

    Tried the V1.08, which came up with only one error

    Name:  2018-05-27_172401.jpg
Views: 80
Size:  17.7 KB

    So went to the App page and removed Perl 24.???

    Did the Install again and it took

    I have scanned my Music Folder and it all looks ready to play .... which it wont .... not sure it is your area though

    My Qnap TS-569 has 2 x Ethernet Interfaces, both are in use 192.168.1.XXX and 192.168.3.XXX

    It looks like the Web Interface is on 192.168.1.214, here

    Name:  2018-05-27_181300.jpg
Views: 82
Size:  15.4 KB

    But the LMS is showing it is on 192.168.3.214, here

    Name:  2018-05-27_181332.jpg
Views: 79
Size:  49.8 KB

    Good eh !! - all my players are on Network 192.168.1.XXX as is this PC I am using, so the Server cannot see any Players

    How do I set the LMS IP to 192.168.1.214 ?
    Verstuurd vanaf mijn PRIMO10_QUAD met Tapatalk

    maintainer of QLogitechMediaServer, QOptware-NG and QAutoSub.

    Qnap TS-453a, with LogitechMediaSever 7.9.1 ( with spotty and youtube )
    Several raspberry with hifiberry amp+ and picoreplayer.
    Love logitechmediaserver for it flexibel way, to play music from different sources.

  10. #90
    Junior Member
    Join Date
    Jul 2017
    Posts
    11
    Found it, the Qnap had its default network to be the 192.168.3.XXX

    I changed the default network to be 192.168.1.XXX

    I uninstalled the LMS package in the Qnap, and re-installed it again, and this time the LMS has appeared as 192.168.1.214

    So all sorted, Radio Paradise playing, seems solid as a rock


    Thanks for your time

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •